{% extends 'base.html.twig' %}

{% block title %}Hello Video!{% endblock %}

{% block body %}


    <div id="meet" style="text-align: center" onkeydown="appelVideo({{ test }})"></div>
    {% if is_granted('ROLE_Enseignant') %}
        <form>
            <label>
                Classe
                <select name="classe">
                    {% for classe in classes %}
                        <option value="{{ classe.id }}">{{ classe.nameClasse }}</option>
                    {% endfor %}
                </select>
            </label>
            <button>Confirm</button>
        </form>
    {% endif %}
    <script type="text/javascript" src="{{ asset('temp/external_api.js') }}"></script>
    <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>

    <script>
        const domain = 'meet.jit.si';
        const options = {
            roomName: '{{ nomClasse }}',
            width: 1200,
            height: 500,
            parentNode: document.querySelector('#meet'),
            userInfo: {
                displayName: '{{ app.user.prenom }} {{ app.user.nom }}'
            }
        };
        $(document).ready(function () {
            var $test = {{ test }}
                console.log($test);
            if ($test === 1)
                new JitsiMeetExternalAPI(domain, options);
        });

    </script>

{% endblock %}